# Class VulkanOffset2D.Builder

java.lang.Object
com.io7m.jcoronado.api.VulkanOffset2D.Builder

Enclosing class:
  `VulkanOffset2D`

public static final class VulkanOffset2D.Builder extends Object
Builds instances of type `VulkanOffset2D`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `VulkanOffset2D`
  `build()`
  Builds a new `VulkanOffset2D`.
  `final VulkanOffset2D.Builder`
  `from(VulkanOffset2DType instance)`
  Fill a builder with attribute values from the provided `VulkanOffset2DType` instance.
  `final VulkanOffset2D.Builder`
  `setX(int x)`
  Initializes the value for the `x` attribute.
  `final VulkanOffset2D.Builder`
  `setY(int y)`
  Initializes the value for the `y` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final VulkanOffset2D.Builder from(VulkanOffset2DType instance)
    Fill a builder with attribute values from the provided `VulkanOffset2DType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### setX

    public final VulkanOffset2D.Builder setX(int x)
    Initializes the value for the `x` attribute.
    Parameters:
      `x` - The value for x
    Returns:
      `this` builder for use in a chained invocation

  - ### setY

    public final VulkanOffset2D.Builder setY(int y)
    Initializes the value for the `y` attribute.
    Parameters:
      `y` - The value for y
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public VulkanOffset2D build()
    Builds a new `VulkanOffset2D`.
    Returns:
      An immutable instance of VulkanOffset2D
    Throws:
      `IllegalStateException` - if any required attributes are missing